// Ionic Starter App

// angular.module is a global place for creating, registering and retrieving Angular modules
// 'starter' is the name of this angular module example (also set in a <body> attribute in index.html)
// the 2nd parameter is an array of 'requires'
// 'starter.controllers' is found in controllers.js
angular.module('starter', ['ionic', 'starter.controllers'])

.run(function($ionicPlatform) {
  $ionicPlatform.ready(function() {
    // Hide the accessory bar by default (remove this to show the accessory bar above the keyboard
    // for form inputs)
    if (window.cordova && window.cordova.plugins.Keyboard) {
      cordova.plugins.Keyboard.hideKeyboardAccessoryBar(true);
    }
    if (window.StatusBar) {
      // org.apache.cordova.statusbar required
      StatusBar.styleDefault();
    }
    
  });
})

.config(function($ionicConfigProvider) {
$ionicConfigProvider.backButton.previousTitleText(false).text('');
})

.config(function($stateProvider, $urlRouterProvider) {

  $stateProvider

  .state('app', {
    url: "/app",
    abstract: true,
    templateUrl: "templates/menu.html",
    controller: 'AppCtrl'
  })

  .state('app.destaques', {
    url: "/destaques",
    views: {
      'menuContent': {
        templateUrl: "templates/destaques.html",
        controller: 'DestaquesCtrl'
      }
    }
  })

  .state('app.sobre', {
    url: "/sobre",
    views: {
      'menuContent': {
        templateUrl: "templates/sobre.html"
      }
    }
  })

  .state('app.natv', {
    url: "/natv",
    views: {
      'menuContent': {
        templateUrl: "templates/natv.html"
      }
    }
  })

  .state('app.net', {
    url: "/net",
    views: {
      'menuContent': {
        templateUrl: "templates/net.html",
        controller: 'NetCtrl'        
      }
    }
  })

  .state('app.pgr_atividades', {
    url: "/pgr_atividades",
    views: {
      'menuContent': {
        templateUrl: "templates/pgr_atividades.html"
      }
    }
  })

  .state('app.pgr_governo', {
    url: "/pgr_governo",
    views: {
      'menuContent': {
        templateUrl: "templates/pgr_governo.html"
      }
    }
  })

  .state('app.pgr_bdm', {
    url: "/pgr_bdm",
    views: {
      'menuContent': {
        templateUrl: "templates/pgr_bdm.html"
      }
    }
  })
  
  .state('app.pgr_bep', {
    url: "/pgr_bep",
    views: {
      'menuContent': {
        templateUrl: "templates/pgr_bep.html"
      }
    }
  })
  
  .state('app.pgr_nbrnoticias', {
    url: "/pgr_nbrnoticias",
    views: {
      'menuContent': {
        templateUrl: "templates/pgr_nbrnoticias.html"
      }
    }
  })
  
  .state('app.pgr_nbrentrevista', {
    url: "/pgr_nbrentrevista",
    views: {
      'menuContent': {
        templateUrl: "templates/pgr_nbrentrevista.html"
      }
    }
  })
  
  .state('app.pgr_cenasdobrasil', {
    url: "/pgr_cenasdobrasil",
    views: {
      'menuContent': {
        templateUrl: "templates/pgr_cenasdobrasil.html"
      }
    }
  })
  
  .state('app.pgr_conexaociencia', {
    url: "/pgr_conexaociencia",
    views: {
      'menuContent': {
        templateUrl: "templates/pgr_conexaociencia.html"
      }
    }
  })
  
  .state('app.pgr_panoramaipea', {
    url: "/pgr_panoramaipea",
    views: {
      'menuContent': {
        templateUrl: "templates/pgr_panoramaipea.html"
      }
    }
  })
  
  .state('app.pgr_teleconferencia', {
    url: "/pgr_teleconferencia",
    views: {
      'menuContent': {
        templateUrl: "templates/pgr_teleconferencia.html"
      }
    }
  })

  .state('app.pgr_rural', {
    url: "/pgr_rural",
    views: {
      'menuContent': {
        templateUrl: "templates/pgr_rural.html",
      }
    }
  })

    .state('app.programas', {
      url: "/programas",
      views: {
        'menuContent': {
          templateUrl: "templates/programas.html",
          controller: 'ProgramasCtrl'
        }
      }
    })
  // if none of the above states are matched, use this as the fallback
  $urlRouterProvider.otherwise('/app/destaques');
});
